#include <bits/stdc++.h>
using namespace std;
// #define int long long
// #define endl '\n'
// #pragma GCC optimize("03")
// #pragma GCC optimize("unroll-loops")
// #pragma GCC target("avx,avx2,bmi2,fma")
mt19937 rnd(342);

signed main() {
    // freopen("in.txt", "r", stdin);
    // freopen("out.txt", "w", stdout);
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    vector<unsigned long long> arr = {1, 1};
    unsigned long long n = 6e8;
    for (unsigned long long i = 0; i < n; ++i) {
        arr[0] = arr[1] * i;
        arr[1] = arr[0] - i * arr[1] * arr[1];
    }
    cout << arr[0] << ' ' << arr[1];
}

